Hi, after I executed a flow on agent, I did nothin...
# prefect-community
t
Hi, after I executed a flow on agent, I did nothing, then the agent will pop up those exception......it doesn't seem to impact function, but it's pretty annoying. Do you have a clue how can i get rid of these? (exceptions will be pasted in thread)
1
135642.797 | INFO | prefect.agent - Submitting flow run '415d0771-ad3f-490e-8683-10bc219fd041' 135642.859 | INFO | prefect.infrastructure.process - Opening process 'ruby-lemur'... 135642.866 | INFO | prefect.agent - Completed submission of flow run '415d0771-ad3f-490e-8683-10bc219fd041' 135644.828 | INFO | prefect.infrastructure.process - Process 'ruby-lemur' exited cleanly. 135758.033 | ERROR | prefect.agent - Traceback (most recent call last): File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\asyncio\proactor_events.py", line 395, in _loop_writing self._write_fut = self._loop._proactor.send(self._sock, data) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\asyncio\windows_events.py", line 532, in send ov.WSASend(conn.fileno(), buf, flags) ConnectionAbortedError: [WinError 10053] An established connection was aborted by the software in your host machine The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_exceptions.py", line 8, in map_exceptions yield File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\backends\asyncio.py", line 33, in read return await self._stream.receive(max_bytes=max_bytes) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\anyio\_backends\_asyncio.py", line 1274, in receive raise self._protocol.exception anyio.BrokenResourceError During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_transports\default.py", line 60, in map_httpcore_exceptions yield File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_transports\default.py", line 353, in handle_async_request resp = await self._pool.handle_async_request(req) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\connection_pool.py", line 253, in handle_async_request raise exc File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\connection_pool.py", line 237, in handle_async_request response = await connection.handle_async_request(request) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\connection.py", line 90, in handle_async_request return await self._connection.handle_async_request(request) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\http11.py", line 105, in handle_async_request raise exc File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\http11.py", line 84, in handle_async_request ) = await self._receive_response_headers(**kwargs) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\http11.py", line 148, in _receive_response_headers event = await self._receive_event(timeout=timeout) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_async\http11.py", line 177, in _receive_event data = await self._network_stream.read( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\backends\asyncio.py", line 35, in read return b"" File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\contextlib.py", line 137, in exit self.gen.throw(typ, value, traceback) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpcore\_exceptions.py", line 12, in map_exceptions raise to_exc(exc) httpcore.ReadError The above exception was the direct cause of the following exception: Traceback (most recent call last): File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\prefect\agent.py", line 129, in get_and_submit_flow_runs queue_runs = await self.client.get_runs_in_work_queue( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\prefect\client.py", line 919, in get_runs_in_work_queue response = await self._client.post( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1842, in post return await self.request( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1527, in request return await self.send(request, auth=auth, follow_redirects=follow_redirects) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\prefect\client.py", line 258, in send await super().send(*args, **kwargs) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1614, in send response = await self._send_handling_auth( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1642, in _send_handling_auth response = await self._send_handling_redirects( File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1679, in _send_handling_redirects response = await self._send_single_request(request) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_client.py", line 1716, in _send_single_request response = await transport.handle_async_request(request) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_transports\default.py", line 353, in handle_async_request resp = await self._pool.handle_async_request(req) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\contextlib.py", line 137, in exit self.gen.throw(typ, value, traceback) File "C:\Users\jason.zhao\AppData\Local\Programs\Python\Python39\lib\site-packages\httpx\_transports\default.py", line 77, in map_httpcore_exceptions raise mapped_exc(message) from exc httpx.ReadError
If i execute flow on this work que later, it's able to work without problem, but after a while, similar exception will come out again
a
I'd recommend creating a new environment, and starting from scratch - not enough info atm to say anything